###################################################
### chunk number 1: Misc
###################################################
#line 17 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw"
options(useFancyQuotes=FALSE) 


###################################################
### chunk number 2: LibLoad
###################################################
#line 30 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw"
  library(CorrBin)
  library(lattice)


###################################################
### chunk number 3: Intro
###################################################
#line 44 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw"
 options(width=100)
 ps.options(colormodel="rgb")


###################################################
### chunk number 4: DataLoad
###################################################
#line 47 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw"
 sh <- read.CBData("ShellTox.txt", with.freq=TRUE)
 levels(sh$Trt) <- c("Control","Low","Medium", "High")
 str(sh)


###################################################
### chunk number 5: MCtest
###################################################
#line 64 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw"
  mc.test.chisq(sh)


###################################################
### chunk number 6: MCest
###################################################
#line 72 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw"
  sh.mc <- mc.est(sh)


###################################################
### chunk number 7: MCestfig
###################################################
#line 84 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw"
  print(xyplot(Prob~NResp|factor(ClusterSize), groups=Trt, data=sh.mc, subset=ClusterSize>0 & ClusterSize<13, 
    type="l", as.table=TRUE, auto.key=list(columns=4, lines=TRUE, points=FALSE),
    xlab="Number of responses", ylab="P(R=r|N=n)"))


###################################################
### chunk number 8: MCestfig2 eval=FALSE
###################################################
## #line 92 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw"
## #line 84 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw#from line#92#"
##   print(xyplot(Prob~NResp|factor(ClusterSize), groups=Trt, data=sh.mc, subset=ClusterSize>0 & ClusterSize<13, 
##     type="l", as.table=TRUE, auto.key=list(columns=4, lines=TRUE, points=FALSE),
##     xlab="Number of responses", ylab="P(R=r|N=n)"))
## #line 93 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw"


###################################################
### chunk number 9: MCsurvfig
###################################################
#line 102 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw"
  panel.cumsum <- function(x,y,...){
    x.ord <- order(x)
    panel.xyplot(x[x.ord], cumsum(y[x.ord]), ...)}

   print(xyplot(Prob~NResp|factor(ClusterSize), groups=Trt, data=sh.mc, 
       subset=ClusterSize>0&ClusterSize<13, type="s",
       panel=panel.superpose, panel.groups=panel.cumsum,
       as.table=T, auto.key=list(columns=4, lines=T, points=F),
			 xlab="Number of responses", ylab="Cumulative Probability R(R>=r|N=n)",
			 ylim=c(0,1.1)))


###################################################
### chunk number 10: MCsurvfig2 eval=FALSE
###################################################
## #line 117 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw"
## #line 102 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw#from line#117#"
##   panel.cumsum <- function(x,y,...){
##     x.ord <- order(x)
##     panel.xyplot(x[x.ord], cumsum(y[x.ord]), ...)}
## 
##    print(xyplot(Prob~NResp|factor(ClusterSize), groups=Trt, data=sh.mc, 
##        subset=ClusterSize>0&ClusterSize<13, type="s",
##        panel=panel.superpose, panel.groups=panel.cumsum,
##        as.table=T, auto.key=list(columns=4, lines=T, points=F),
## 			 xlab="Number of responses", ylab="Cumulative Probability R(R>=r|N=n)",
## 			 ylim=c(0,1.1)))
## #line 118 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw"


###################################################
### chunk number 11: SOtest
###################################################
#line 133 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw"
  set.seed(4461)
 (so.res <- trend.test(sh, test="SO", R=50, control=soControl(eps=0.1, max.directions=40)))


###################################################
### chunk number 12: SOboot
###################################################
#line 143 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw"
 hist(attr(so.res, "boot")$t[,1], freq=FALSE, xlab="Statistic", ylab="Density", main="")
 points(so.res$statistic, 0, pch="*",col="red", cex=3)


###################################################
### chunk number 13: SOboot2 eval=FALSE
###################################################
## #line 149 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw"
## #line 143 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw#from line#149#"
##  hist(attr(so.res, "boot")$t[,1], freq=FALSE, xlab="Statistic", ylab="Density", main="")
##  points(so.res$statistic, 0, pch="*",col="red", cex=3)
## #line 150 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw"


###################################################
### chunk number 14: RSGEEtest
###################################################
#line 154 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw"
  trend.test(sh, test="RS")
  trend.test(sh, test="GEE")


###################################################
### chunk number 15: SOmle
###################################################
#line 163 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw"
   sh.SO.est <- SO.mc.est(sh, control=soControl(eps=0.1, max.directions=40))
   str(sh.SO.est)


###################################################
### chunk number 16: SOmleplot
###################################################
#line 168 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw"
   print(xyplot(Prob~NResp|factor(ClusterSize), groups=Trt, data=sh.SO.est, 
       subset=ClusterSize<13, type="s",
       panel=panel.superpose, panel.groups=panel.cumsum,
       as.table=T, auto.key=list(columns=4, lines=T, points=F),
			 xlab="Number of responses", ylab="Cumulative Probability R(R>=r|N=n)",
			 ylim=c(0,1.1), main=""))


###################################################
### chunk number 17: SOmleplot2 eval=FALSE
###################################################
## #line 178 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw"
## #line 168 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw#from line#178#"
##    print(xyplot(Prob~NResp|factor(ClusterSize), groups=Trt, data=sh.SO.est, 
##        subset=ClusterSize<13, type="s",
##        panel=panel.superpose, panel.groups=panel.cumsum,
##        as.table=T, auto.key=list(columns=4, lines=T, points=F),
## 			 xlab="Number of responses", ylab="Cumulative Probability R(R>=r|N=n)",
## 			 ylim=c(0,1.1), main=""))
## #line 179 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw"


###################################################
### chunk number 18: nostasot
###################################################
#line 189 "d:/Rcompile/CRANpkg/local/2.12/CorrBin/inst/doc/CorrBinVignette.Rnw"
  NOSTASOT(sh, test="RS")


